AutoIdUtils (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.generic.AutoIdUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.generic
Class AutoIdUtils

    java.lang.Object
      org.mule.config.spring.parsers.generic.AutoIdUtils

    public class AutoIdUtils

extends Object

Field Summary
`static String` | `ATTRIBUTE_ID`
`static String` | `ATTRIBUTE_NAME`
`static String` | `PREFIX`

Constructor Summary
`AutoIdUtils()`

Method Summary
`static boolean` | `blankAttribute(Element element, String attribute)`
`static void` | `ensureUniqueId(Element element, String type)`
`static void` | `forceUniqueId(Element element, String type)`
`static String` | `getUniqueName(Element element, String type)`
`static String` | `uniqueValue(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_ID

    public static final String ATTRIBUTE_ID

See Also:
  Constant Field Values

### ATTRIBUTE_NAME

    public static final String ATTRIBUTE_NAME

See Also:
  Constant Field Values

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### AutoIdUtils

    public AutoIdUtils()

Method Detail

### blankAttribute

    public static boolean blankAttribute(Element element,
                                         String attribute)

### ensureUniqueId

    public static void ensureUniqueId(Element element,
                                      String type)

### getUniqueName

    public static String getUniqueName(Element element,
                                       String type)

### uniqueValue

    public static String uniqueValue(String value)

### forceUniqueId

    public static void forceUniqueId(Element element,
                                     String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.